<?xml version="1.0" encoding="utf-8"?>
<android.support.constraint.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/wingcool_backgroup"
    tools:context=".Config">


        <LinearLayout
            android:id="@+id/LinearLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginStart="8dp"
            android:layout_marginEnd="8dp"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintHorizontal_bias="1.0"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.0"
            tools:context=".Config">

            <LinearLayout
                xmlns:android="http://schemas.android.com/apk/res/android"
                xmlns:tools="http://schemas.android.com/tools"
                android:id="@+id/LinearLayout1"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.492"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintVertical_bias="0.012"
                tools:context=".Config">

                <demo.com.jay.buttondemo.DelEditText
                    android:id="@+id/editsearch"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="5dp"
                    android:layout_weight="18"
                    android:background="@drawable/bg_frame_search"
                    android:hint="@string/chooseconfig"
                    android:maxLength="100"
                    android:padding="5dp"
                    android:singleLine="true" />

                <Button
                    android:id="@+id/searchbutton"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:layout_margin="5dp"
                    android:layout_weight="65"
                    android:text="…"
                    android:textSize="18dp"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:background="#FFFFFF">

                <TextView
                    android:id="@+id/tvsample"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent"
                    android:layout_weight="1.0"
                    android:gravity="center"
                    android:text="@string/sample"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tvmoduleswitch"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent"
                    android:layout_weight="1.0"
                    android:gravity="center"
                    android:text="@string/moduleswitch"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tvnormal"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent"
                    android:layout_weight="1.0"
                    android:gravity="center"
                    android:text="@string/normalsetting"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tvchannel"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent"
                    android:layout_weight="1.0"
                    android:gravity="center"
                    android:text="@string/channelsetting"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tvpen"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent"
                    android:layout_weight="1.0"
                    android:gravity="center"
                    android:text="@string/pensetting"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tvplamrestrain"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent"
                    android:layout_weight="1.0"
                    android:gravity="center"
                    android:text="@string/hvsetting"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tvkey"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent"
                    android:layout_weight="1.0"
                    android:gravity="center"
                    android:text="@string/keysetting"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tvhopping"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent"
                    android:layout_weight="1.0"
                    android:gravity="center"
                    android:text="@string/hoppingsetting"
                    android:textColor="#000000" />

                <TextView
                    android:id="@+id/tvcfgram"
                    android:layout_width="match_parent"
                    android:layout_height="fill_parent"
                    android:layout_weight="1.0"
                    android:gravity="center"
                    android:text="Cfg Ram"
                    android:textColor="#000000" />
            </LinearLayout>

            <ImageView
                android:id="@+id/img_cursor"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:scaleType="matrix"
                android:src="@mipmap/line" />

            <android.support.v4.view.ViewPager
                android:id="@+id/vpagercfg"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:flipInterval="30"
                android:persistentDrawingCache="animation" />

            <LinearLayout
                android:id="@+id/buttonLinearLayout"
                android:layout_width="match_parent"
                android:layout_height="150dp"
                android:layout_marginTop="1dp"
                android:background="@android:color/white"
                android:baselineAligned="false"
                android:orientation="vertical"
                tools:context=".Config">

                <LinearLayout
                    android:id="@+id/LinearLayout2"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    tools:context=".Config">

                    <TextView
                        android:id="@+id/show"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="8dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginEnd="8dp"
                        android:layout_marginBottom="8dp"
                        android:ems="10"
                        android:inputType="textMultiLine"
                        android:text=""
                        android:textColor="@color/back_red" />

                    <LinearLayout xmlns:tools="http://schemas.android.com/tools"
                        android:id="@+id/SaveCfgLinearLayout"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="horizontal"
                        tools:context=".Config">

                        <EditText
                            android:id="@+id/editname"
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginBottom="0dp"
                            android:layout_weight="1"
                            android:hint="@string/nameandformat"
                            android:textSize="16dp"
                            tools:layout_editor_absoluteX="0dp"
                            tools:layout_editor_absoluteY="355dp" />

                        <Button
                            android:id="@+id/savecfg"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginStart="0dp"
                            android:layout_marginTop="0dp"
                            android:layout_marginEnd="0dp"
                            android:layout_marginBottom="0dp"
                            android:layout_weight="2"
                            android:text="@string/savefile"
                            android:textAllCaps="false"
                            android:textSize="22dp" />
                    </LinearLayout>

                </LinearLayout>


                <LinearLayout xmlns:tools="http://schemas.android.com/tools"
                    android:id="@+id/LinearLayout3"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    tools:context=".Config">

                    <TextView
                        android:id="@+id/venderid"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginEnd="0dp"
                        android:layout_marginBottom="8dp"
                        android:layout_weight="1"
                        android:ems="10"
                        android:gravity="center"
                        android:inputType="textMultiLine"
                        android:text="VenderID"
                        android:textColor="@color/back_red"
                        android:textSize="18dp" />

                    <Button
                        android:id="@+id/readcfg"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginEnd="0dp"
                        android:layout_marginBottom="8dp"
                        android:layout_weight="1"
                        android:text="@string/read"
                        android:textAllCaps="false"
                        android:textSize="22dp" />

                    <Button
                        android:id="@+id/sendcfg"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="0dp"
                        android:layout_marginTop="8dp"
                        android:layout_marginEnd="0dp"
                        android:layout_marginBottom="8dp"
                        android:layout_weight="1"
                        android:text="@string/send"
                        android:textAllCaps="false"
                        android:textSize="22dp" />

                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

</android.support.constraint.ConstraintLayout>